[BACK]Return to fw_install.sh CVS log [TXT][DIR] Up to [local] / openbsd / fw_update

Diff for /openbsd/fw_update/fw_install.sh between version 1.70 and 1.74

version 1.70, 2021/12/11 05:35:21 version 1.74, 2021/12/11 20:57:51
Line 121 
Line 121 
 }  }
   
 add_firmware () {  add_firmware () {
         local _f="${1##*/}" _pkgdir="${DESTDIR}/var/db/pkg"          local _f="${1##*/}"
           local _pkgdir="${DESTDIR}/var/db/pkg/${_f%.tgz}"
         ftp -D "Install" -Vmo- "file:${1}" |          ftp -D "Install" -Vmo- "file:${1}" |
                 tar -s ",^\+,${_pkgdir}/${_f%.tgz}/+," \                  tar -s ",^\+,${_pkgdir}/+," \
                     -s ",^firmware,${DESTDIR}/etc/firmware," \                      -s ",^firmware,${DESTDIR}/etc/firmware," \
                     -C / -zxphf - "+*" "firmware/*"                      -C / -zxphf - "+*" "firmware/*"
   
         # TODO: Should we mark these so real fw_update can -Drepair?          # TODO: Should we mark these so real fw_update can -Drepair?
         ed -s "${_pkgdir}/${_f%.tgz}/+CONTENTS" <<EOL          ed -s "${_pkgdir}/+CONTENTS" <<EOL
 /^@comment pkgpath/ -1a  /^@comment pkgpath/ -1a
 @option manual-installation  @option manual-installation
 @option firmware  @option firmware
Line 205 
Line 206 
         exit          exit
 fi  fi
   
 if "$DOWNLOAD" && ! [[ -e "$CFILE" ]]; then  if "$DOWNLOAD"; then
         fetch "$CFILE"          fetch "$CFILE"
         ! signify -qVep "$FWPUB_KEY" -x "$CFILE" -m "$CFILE" &&          ! signify -qVep "$FWPUB_KEY" -x "$CFILE" -m "$CFILE" &&
             echo "Signature check of SHA256.sig failed" >&2 && exit 1              echo "Signature check of SHA256.sig failed" >&2 && exit 1
Line 234 
Line 235 
                 done                  done
         fi          fi
   
         if [ ! -e "$f" ]; then          if [ -e "$f" ]; then
                 "$INSTALL" && ! "$DOWNLOAD" &&                  if "$DOWNLOAD"; then
                     echo "Cannot install ${f##*/}, not found" >&2 && continue                          echo "Verify existing ${f##*/}"
                           verify "$f" || continue
                   # else assume it was verified when downloaded
                   fi
           elif "$INSTALL" && ! "$DOWNLOAD"; then
                   echo "Cannot install ${f##*/}, not found" >&2
                   continue
           else
                 fetch  "$f" || continue                  fetch  "$f" || continue
                 verify "$f" || continue  
         elif $DOWNLOAD; then  
                 echo "Already have $f"  
                 verify "$f" || continue                  verify "$f" || continue
         fi          fi
   

Legend:
Removed from v.1.70  
changed lines
  Added in v.1.74

FreeBSD-CVSweb <freebsd-cvsweb@FreeBSD.org>